Skip to content

Stored only in your browser. Get one under Tokens.

Bulk add or revoke device certificates​

POST
/devices/certs

Pre-register or revoke device client certificates in bulk (e.g. for devices not yet connected) via a list of certificate metadata or a PEM bundle. Defaults to revoked=true.

Authorizations​

ApiKeyAuth
Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
  
"certs": [
  
  
{
  
  
  
"fingerprint": "string",
  
  
  
"revoked": true,
  
  
  
"serial_number": "string",
  
  
  
"subject": "string",
  
  
  
"token_id": "string"
  
  
}
  
],
  
"certs_pem": "string",
  
"revoked": true,
  
"token_id": "string"
}

Responses​

OK

application/json
JSON
{
  
"count": 0,
  
"fingerprints": [
  
  
"string"
  
],
  
"ids": [
  
  
"string"
  
],
  
"matched_devices": 0
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI